Bug 494396 - 3.6.12 causes segfaults in yum on ppc
3.6.12 causes segfaults in yum on ppc
Status: CLOSED DUPLICATE of bug 494266
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
rawhide
powerpc Linux
urgent Severity urgent
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-04-06 13:16 EDT by Jesse Keating
Modified: 2013-01-09 22:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-06 14:23:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2009-04-06 13:16:10 EDT
When 3.6.12 is used in a rawhide chroot on ppc, yum tools segfault while reading the sqlite database.  Downgrading back to 3.6.10 resolves this issue.

http://jkeating.fedorapeople.org/strace.out.gz  for an strace.
Comment 1 Jesse Keating 2009-04-06 13:19:43 EDT
Seems this problem is seen outside of chroots as well, just updating sqlite on a rawhide system and attempting to do any yum transaction will cause the segfault.
Comment 2 Panu Matilainen 2009-04-06 14:23:04 EDT
Yup, sqlite 3.6.12 seems to be severely broken on ppc.

*** This bug has been marked as a duplicate of bug 494266 ***

Note You need to log in before you can comment on or make changes to this bug.